<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件基础-事件冒泡</title>
	<style type="text/css">
		#div1{
			display:none;
			width:200px;
			height:200px;
			background:#ccc;
		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
			// alert(document.childNodes[0].tagName)
			/*		
			事件中的event/ev参数进行的兼容处理
			document.onclick=function(ev){
				var oEvent=ev||event;
				alert(oEvent.clientX+','+oEvent.clientY);
			};
			*/
			var oDiv=document.getElementById('div1');
			var inp=document.getElementById('inp');
			inp.onclick=function(ev){
				var oEvent=ev||event;
				oDiv.style.display='block';
				// 阻止事件冒泡
				oEvent.cancelBubble=true;
			};
			document.onclick=function(){
				oDiv.style.display='none';
			}
		};
	</script>
</head>
<body>
	<div id="box">
		<input type="button" value="按钮" id="inp"/>
		<div id="div1"></div>
	</div>
</body>
</html